Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.menu
Class ToolbarController

    java.lang.Object
      infomat.view.menu.ToolbarController

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ToolbarController

extends java.lang.Object
implements java.awt.event.ActionListener

Controller of the toolbar.

Field Summary
`protected static java.lang.String` | `GRIDCOLUMN`
`protected static java.lang.String` | `GRIDROW`
`protected static java.lang.String` | `HAND`
`private java.lang.Boolean` | `inAction`
`private InfomatView` | `infomatView`
`protected static java.lang.String` | `PIXELSELECTION`
`protected static java.lang.String` | `REMOVE_COLUMNS`
`protected static java.lang.String` | `REMOVE_ROWS`
`private ToolbarView` | `vy`
`protected static java.lang.String` | `ZOOMIN`
`protected static java.lang.String` | `ZOOMSELECTION`

Constructor Summary
`ToolbarController(InfomatView infomatView)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Perform the right action for the right command
`void` | `menuClick(java.lang.String button)` Simulate a button press (from the menu)
`protected void` | `setToolbarView(ToolbarView vy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRIDCOLUMN

    protected static final java.lang.String GRIDCOLUMN

See Also:
  Constant Field Values

### GRIDROW

    protected static final java.lang.String GRIDROW

See Also:
  Constant Field Values

### PIXELSELECTION

    protected static final java.lang.String PIXELSELECTION

See Also:
  Constant Field Values

### HAND

    protected static final java.lang.String HAND

See Also:
  Constant Field Values

### ZOOMSELECTION

    protected static final java.lang.String ZOOMSELECTION

See Also:
  Constant Field Values

### ZOOMIN

    protected static final java.lang.String ZOOMIN

See Also:
  Constant Field Values

### REMOVE_COLUMNS

    protected static final java.lang.String REMOVE_COLUMNS

See Also:
  Constant Field Values

### REMOVE_ROWS

    protected static final java.lang.String REMOVE_ROWS

See Also:
  Constant Field Values

### vy

    private ToolbarView vy

### inAction

    private java.lang.Boolean inAction

### infomatView

    private InfomatView infomatView

Constructor Detail

### ToolbarController

    public ToolbarController(InfomatView infomatView)

Method Detail

### setToolbarView

    protected void setToolbarView(ToolbarView vy)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Perform the right action for the right command

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - The action performed

### menuClick

    public void menuClick(java.lang.String button)

  Simulate a button press (from the menu)

  Parameters:
    `button` - The name of the button

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD